Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class ImportResourcesAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.BaseSelectionListenerAction
              org.eclipse.ui.actions.ImportResourcesAction

All Implemented Interfaces:
  ActionFactory.IWorkbenchAction, IAction, ISelectionChangedListener

public class ImportResourcesAction
extends BaseSelectionListenerAction
implements ActionFactory.IWorkbenchAction

Action representing a generic import operation.

This class may be instantiated. It is not intended to be subclassed.

This method automatically registers listeners so that it can keep its enablement state up to date. Ordinarily, the window's references to these listeners will be dropped automatically when the window closes. However, if the client needs to get rid of an action while the window is still open, the client must call IWorkbenchAction#dispose to give the action an opportunity to deregister its listeners and to perform any other cleanup.

Note: Despite the name, an import operation can deal with things other than resources; the current name was retained for historical reasons.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ImportResourcesAction(IWorkbench workbench)` Deprecated. use the constructor `ImportResourcesAction(IWorkbenchWindow)`
`ImportResourcesAction(IWorkbenchWindow window)` Create a new instance of this class

Method Summary
`void` | `dispose()` Disposes of this action.
`void` | `run()` Invoke the Import wizards selection Wizard.
`void` | `setSelection(IStructuredSelection selection)` Deprecated.

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`clearCache, getStructuredSelection, runWithEvent, selectionChanged, selectionChanged, updateSelection`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### ImportResourcesAction

    public ImportResourcesAction(IWorkbenchWindow window)

  Create a new instance of this class

### ImportResourcesAction

    public ImportResourcesAction(IWorkbench workbench)

  Deprecated. use the constructor `ImportResourcesAction(IWorkbenchWindow)`

  Create a new instance of this class

Method Detail

### run

    public void run()

  Invoke the Import wizards selection Wizard.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### setSelection

    public void setSelection(IStructuredSelection selection)

  Deprecated.

  Sets the current selection. In for backwards compatability. Use selectionChanged() instead.

  Parameters:
    `selection` - the new selection

### dispose

    public void dispose()

  Description copied from interface: `ActionFactory.IWorkbenchAction`
  Disposes of this action. Once disposed, this action cannot be used. This operation has no effect if the action has already been disposed.

  Specified by:
    `dispose` in interface `ActionFactory.IWorkbenchAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.